Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Class ParticipantPortTypeImpl

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
          com.atomikos.icatch.jaxb.wsat.v200410.ParticipantPortTypeImpl

All Implemented Interfaces:
  ParticipantPortType

    public class ParticipantPortTypeImpl

extends AbstractBinding
implements ParticipantPortType

Implementation of participant port.

Field Summary

Fields inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`ctx`

Constructor Summary
`ParticipantPortTypeImpl()`

Method Summary
`void` | `commitOperation(Notification parameters)`
`void` | `prepareOperation(Notification parameters)`
`void` | `rollbackOperation(Notification parameters)`

Methods inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`findTransaction, getMessageContext, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI, logMessageIfDebug, sendInvalidParametersFault, sendInvalidProtocolFault, sendInvalidStateFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantPortTypeImpl

    public ParticipantPortTypeImpl()

Method Detail

### rollbackOperation

    public void rollbackOperation(Notification parameters)

  Specified by:
    `rollbackOperation` in interface `ParticipantPortType`

### commitOperation

    public void commitOperation(Notification parameters)

  Specified by:
    `commitOperation` in interface `ParticipantPortType`

### prepareOperation

    public void prepareOperation(Notification parameters)

  Specified by:
    `prepareOperation` in interface `ParticipantPortType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.